using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

public record Change(DateOnly? Date,
                     string? Note,
                     List<string> Continue)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, ChangeSourceGenerationContext.Default.Change);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(Change))]
internal partial class ChangeSourceGenerationContext : JsonSerializerContext
{
}